## org.apache.ivy.core.module.status
Class Status

    java.lang.Object
      org.apache.ivy.core.module.status.Status

    public class Status

extends java.lang.Object

Constructor Summary
`Status()`
`Status(java.lang.String name, boolean integration)`

Method Summary
`java.lang.String` `getName()`
`boolean` `isIntegration()`
`void` `setIntegration(boolean integration)`
`void` `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Status

    public Status()

### Status

    public Status(java.lang.String name,
                  boolean integration)

Method Detail

### isIntegration

    public boolean isIntegration()

### setIntegration

    public void setIntegration(boolean integration)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)